/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahl.entity;

@javax.enterprise.inject.Vetoed
public class WahlterminPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlterminPK> {

  private static final long serialVersionUID = 0L;

  public WahlterminPK() {
    super();
  }

  public WahlterminPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlterminPK:"+getId();
  }

  @Override
  public int compareTo(WahlterminPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
